Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGerrit Pape <pape@smarden.org>2007-03-28 13:46:15 +0400
committerJunio C Hamano <junkio@cox.net>2007-03-28 15:44:16 +0400
commit2afea3bcd2a2b3327d7e8bdabc9aebd6bef24c6e (patch)
treebcb30c2e8deda164d9caa391eb3b87e7dda603f5 /git-fetch.sh
parentfa21b6023288d5ee0afa79021493a199b1c9bac5 (diff)
http-fetch: don't use double-slash as directory separator in URLs
Please see http://bugs.debian.org/409887 http-fetch expected the URL given at the command line to have a trailing slash anyway, and then added '/objects...' when requesting objects files from the http server. Now it doesn't require the trailing slash in <url> anymore, and strips trailing slashes if given nonetheless. Signed-off-by: Gerrit Pape <pape@smarden.org> Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-fetch.sh')
-rwxr-xr-xgit-fetch.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-fetch.sh b/git-fetch.sh
index 93349330d4..fd70696b74 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -248,7 +248,7 @@ fetch_per_ref () {
expr "z$head" : "z$_x40\$" >/dev/null ||
die "No such ref $remote_name at $remote"
echo >&2 "Fetching $remote_name from $remote using $proto"
- git-http-fetch -v -a "$head" "$remote/" || exit
+ git-http-fetch -v -a "$head" "$remote" || exit
;;
rsync://*)
test -n "$shallow_depth" &&